/*
  $Id: AuthenticationHandler.java 2581 2013-01-02 21:16:24Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2581 $
  Updated: $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
*/
package org.ldaptive.auth;

import org.ldaptive.LdapException;

/**
 * Provides an interface for LDAP authentication implementations.
 *
 * @author  Middleware Services
 * @version  $Revision: 2581 $ $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
 */
public interface AuthenticationHandler
{


  /**
   * Perform an ldap authentication.
   *
   * @param  criteria  to perform the authentication with
   *
   * @return  authentication handler response
   *
   * @throws  LdapException  if ldap operation fails
   */
  AuthenticationHandlerResponse authenticate(AuthenticationCriteria criteria)
    throws LdapException;
}
