/*
  $Id: AuthenticationResultCode.java 2591 2013-01-25 16:15:19Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2591 $
  Updated: $Date: 2013-01-25 11:15:19 -0500 (Fri, 25 Jan 2013) $
*/
package org.ldaptive.auth;

/**
 * Enum to define authentication results.
 *
 * @author  Middleware Services
 * @version  $Revision: 2591 $ $Date: 2013-01-25 11:15:19 -0500 (Fri, 25 Jan 2013) $
 */
public enum AuthenticationResultCode {

  /** The configured authentication handler produced a result of true. */
  AUTHENTICATION_HANDLER_SUCCESS,

  /** The configured authentication handler produced a result of false. */
  AUTHENTICATION_HANDLER_FAILURE,

  /** The supplied credential was empty or null. */
  INVALID_CREDENTIAL,

  /** The configured DN resolver produced an empty or null value. */
  DN_RESOLUTION_FAILURE
}
