/*
  $Id: ExtendedResponse.java 2581 2013-01-02 21:16:24Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2581 $
  Updated: $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
*/
package org.ldaptive.extended;

/**
 * Marker interface for ldap extended responses.
 *
 * @param  <T>  type of response value
 *
 * @author  Middleware Services
 * @version  $Revision: 2581 $ $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
 */
public interface ExtendedResponse<T>
{


  /**
   * Returns the OID for this extended response. Response OIDs are optional and
   * this value may be null.
   *
   * @return  oid
   */
  String getOID();


  /**
   * Initializes this response with the supplied BER encoded data.
   *
   * @param  encoded  BER encoded response
   */
  void decode(byte[] encoded);


  /**
   * Returns the response value associated with this extended operation or null
   * if no value was generated by this operation.
   *
   * @return  response value
   */
  T getValue();
}
