/*
  $Id: PasswordModifyOperation.java 2733 2013-06-11 19:04:30Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2733 $
  Updated: $Date: 2013-06-11 15:04:30 -0400 (Tue, 11 Jun 2013) $
*/
package org.ldaptive.extended;

import org.ldaptive.AbstractOperation;
import org.ldaptive.Connection;
import org.ldaptive.Credential;
import org.ldaptive.LdapException;
import org.ldaptive.Response;

/**
 * Executes an ldap password modify operation. See RFC 3062.
 *
 * @author  Middleware Services
 * @version  $Revision: 2733 $ $Date: 2013-06-11 15:04:30 -0400 (Tue, 11 Jun 2013) $
 */
public class PasswordModifyOperation
  extends AbstractOperation<PasswordModifyRequest, Credential>
{


  /**
   * Creates a new password modify operation.
   *
   * @param  conn  connection
   */
  public PasswordModifyOperation(final Connection conn)
  {
    super(conn);
  }


  /** {@inheritDoc} */
  @Override
  protected Response<Credential> invoke(final PasswordModifyRequest request)
    throws LdapException
  {
    @SuppressWarnings("unchecked") final Response<Credential> response =
      (Response<Credential>)
        getConnection().getProviderConnection().extendedOperation(request);
    return response;
  }
}
