/*
  $Id: WhoAmIOperation.java 2733 2013-06-11 19:04:30Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2733 $
  Updated: $Date: 2013-06-11 15:04:30 -0400 (Tue, 11 Jun 2013) $
*/
package org.ldaptive.extended;

import org.ldaptive.AbstractOperation;
import org.ldaptive.Connection;
import org.ldaptive.LdapException;
import org.ldaptive.Response;

/**
 * Executes an ldap who am i operation. See RFC 4532.
 *
 * @author  Middleware Services
 * @version  $Revision: 2733 $ $Date: 2013-06-11 15:04:30 -0400 (Tue, 11 Jun 2013) $
 */
public class WhoAmIOperation extends AbstractOperation<WhoAmIRequest, String>
{


  /**
   * Creates a new who am i operation.
   *
   * @param  conn  connection
   */
  public WhoAmIOperation(final Connection conn)
  {
    super(conn);
  }


  /** {@inheritDoc} */
  @Override
  protected Response<String> invoke(final WhoAmIRequest request)
    throws LdapException
  {
    @SuppressWarnings("unchecked") final Response<String> response =
      (Response<String>)
        getConnection().getProviderConnection().extendedOperation(request);
    return response;
  }
}
