/*
  $Id: Handler.java 2614 2013-02-12 17:47:04Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2614 $
  Updated: $Date: 2013-02-12 12:47:04 -0500 (Tue, 12 Feb 2013) $
*/
package org.ldaptive.handler;

import org.ldaptive.Connection;
import org.ldaptive.LdapException;
import org.ldaptive.Request;

/**
 * Interface for ldap handlers.
 *
 * @param  <Q>  type of ldap request
 * @param  <S>  type of ldap response
 *
 * @author  Middleware Services
 * @version  $Revision: 2614 $ $Date: 2013-02-12 12:47:04 -0500 (Tue, 12 Feb 2013) $
 */
public interface Handler<Q extends Request, S>
{


  /**
   * Handle the supplied result.
   *
   * @param  conn  connection the operation was executed on
   * @param  request  executed by the operation
   * @param  result  produced from the operation
   *
   * @return  handler result
   *
   * @throws  LdapException  if handling fails
   */
  HandlerResult<S> handle(Connection conn, Q request, S result)
    throws LdapException;
}
