/*
  $Id: SearchReferenceHandler.java 2614 2013-02-12 17:47:04Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2614 $
  Updated: $Date: 2013-02-12 12:47:04 -0500 (Tue, 12 Feb 2013) $
*/
package org.ldaptive.handler;

import org.ldaptive.Connection;
import org.ldaptive.LdapException;
import org.ldaptive.SearchReference;
import org.ldaptive.SearchRequest;

/**
 * Provides post search handling of a search reference.
 *
 * @author  Middleware Services
 * @version  $Revision: 2614 $ $Date: 2013-02-12 12:47:04 -0500 (Tue, 12 Feb 2013) $
 */
public interface SearchReferenceHandler
  extends Handler<SearchRequest, SearchReference>
{


  /** {@inheritDoc} */
  @Override
  HandlerResult<SearchReference> handle(
    Connection conn,
    SearchRequest request,
    SearchReference reference)
    throws LdapException;


  /**
   * Initialize the search request for use with this reference handler.
   *
   * @param  request  to initialize for this reference handler
   */
  void initializeRequest(SearchRequest request);
}
