/*
  $Id: ResponseListener.java 2611 2013-02-11 18:16:03Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2611 $
  Updated: $Date: 2013-02-11 13:16:03 -0500 (Mon, 11 Feb 2013) $
*/
package org.ldaptive.provider;

import org.ldaptive.Response;
import org.ldaptive.async.AsyncRequest;

/**
 * Response listener.
 *
 * @author  Middleware Services
 * @version  $Revision: 2611 $ $Date: 2013-02-11 13:16:03 -0500 (Mon, 11 Feb 2013) $
 */
public interface ResponseListener
{


  /**
   * Invoked when an asynchronous operation has begun.
   *
   * @param  request  to abandon this operation
   */
  void asyncRequestReceived(AsyncRequest request);


  /**
   * Invoked when a response is received from a provider indicating the
   * operation has completed.
   *
   * @param  response  containing the result
   */
  void responseReceived(Response<Void> response);


  /**
   * Invoked when an exception is thrown from a provider indicating the
   * operation cannot be completed.
   *
   * @param  exception  thrown from the async operation
   */
  void exceptionReceived(Exception exception);
}
