/*
  $Id: CertificateHostnameVerifier.java 2592 2013-01-28 23:01:42Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2592 $
  Updated: $Date: 2013-01-28 18:01:42 -0500 (Mon, 28 Jan 2013) $
*/
package org.ldaptive.ssl;

import java.security.cert.X509Certificate;

/**
 * Interface for verifying a hostname matching a certificate.
 *
 * @author  Middleware Services
 * @version  $Revision: 2592 $ $Date: 2013-01-28 18:01:42 -0500 (Mon, 28 Jan 2013) $
 */
public interface CertificateHostnameVerifier
{


  /**
   * Verify the supplied hostname matches the supplied certificate.
   *
   * @param  hostname  to verify
   * @param  cert  to verify hostname against
   *
   * @return  whether hostname is valid for the supplied certificate
   */
  boolean verify(String hostname, X509Certificate cert);
}
